﻿using System;
using System.ServiceModel;
using System.Threading;

namespace TestServer
{
    [ServiceBehavior(ConcurrencyMode = ConcurrencyMode.Multiple, InstanceContextMode = InstanceContextMode.PerCall)]
    public class SimpleService : ISimpleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 작업 하기 - DoWork()

        /// <summary>
        /// 작업 하기
        /// </summary>
        public void DoWork()
        {
            Thread.Sleep(1000);

            Console.WriteLine("[{0}] {1} 스레드가 요구를 처리했습니다.", DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"), Thread.CurrentThread.ManagedThreadId);
        }

        #endregion
    }
}