﻿using System;
using System.Threading;

using TestClient.SimpleService;

namespace TestClient
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            Console.WriteLine("작업 요청을 시작하기 위해 아무 키나 눌러 주시기 바랍니다.");

            Console.ReadKey(true);

            SimpleServiceClient client = new SimpleServiceClient("BasicHttpBinding_ISimpleService");

            for(int i = 1; i <= 100; i++)
            {
                Console.WriteLine("[{0}] {1}번 작업을 요청합니다.", DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"), i);

                Thread thread = new Thread(client.DoWork);

                thread.Start();
            }
        }

        #endregion
    }
}